package com.alvin.tps.main;

import com.alvin.tps.common.service.TpsService;
import com.alvin.tps.main.service.impl.JobImpl;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import java.io.IOException;

/**
 * @author 田云
 * @date 2021/01/23
 */
@SpringBootApplication
public class TpsApplication implements CommandLineRunner {
    /**
     * n个线程
     */
    @Value("${tps.n_threads}")
    private Integer n_threads;
    /**
     * n总时间
     */
    @Value("${tps.n_totalTime}")
    private Integer n_totalTime;

    public static void main(String[] args) {
        SpringApplication.run(TpsApplication.class, args);
    }

    @Override
    public void run(String... args) throws Exception {
        new TpsService(n_threads, n_totalTime).run(new JobImpl());
    }
}
